org.apache.synapse.commons.beanstalk.enterprise

## Class EnterpriseBeanstalkManager

- java.lang.Object
- - org.apache.synapse.commons.beanstalk.enterprise.EnterpriseBeanstalkManager

-     public class EnterpriseBeanstalkManager
      extends Object

  Manages beanstalks configured in the Synapse Environment. Only one instance of this class is created per Synapse environment. It is attached to the ServerContextInformation with BeanstalkConstants.BEANSTALK_MANAGER_PROP_NAME property name.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnterpriseBeanstalkManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Cleans up resources allocated by this BeanstalkManager.
    `EnterpriseBeanstalk` | `getBeanstalk(String name)` Returns the beanstalk with the given name, null if it's not found.
    `void` | `init(Properties props)` Initializes the beanstalk manager, which creates and initializes beanstalk defined in the given Properties instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnterpriseBeanstalkManager

          public EnterpriseBeanstalkManager()

  - ### Method Detail

    - #### init

          public void init(Properties props)

      Initializes the beanstalk manager, which creates and initializes beanstalk defined in the given Properties instance.
      Parameters:
        `props` - Properties to read beanstalk configurations from. Usually, source of this is synapse.properties file.

    - #### getBeanstalk

          public EnterpriseBeanstalk getBeanstalk(String name)

      Returns the beanstalk with the given name, null if it's not found.
      Parameters:
        `name` - Name of the beanstalk.
      Returns:
        Beanstalk specified by the name, null if it's not found.

    - #### destroy

          public void destroy()

      Cleans up resources allocated by this BeanstalkManager.

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.